# EASY_DEPLOY

Deploying node.js server is the main goal of this package.

CLI can be use from anywhere just install it via `npm i @fl45h97/eazy-deploy -g`, after that you can call the cli `eazydeploy --gitskip --lintskip --config=easydeploy.config.js

example config file:

```javascript
module.exports = {
  sshOptions: {
    host: "localhost",
    username: "nodeuser",
    password: "",
    port: 21,
  },
  remoteCommands: [
    {
      cmd: "npm run linux-deploy",
      parameters: [],
      cwd: "/src/example-srv/",
    },
  ],
};
```

please note, that sshOptions object is passed to `ssh.connect()` so all of the valid options available in [`node-ssh`](https://www.npmjs.com/package/node-ssh) can be used.
e.g.: you can use `privateKey` key as well.

```javascript
module.exports = {
  sshOptions: {
    ...
    privateKey: '/home/user/.ssh/id_rsa'
  }
}
```
